mixin report-view(data)
    for item, index in data
        .report-step
            .report-step__header
                - reportIndex = index + 1
                h2.report-step__title
                    .report-step__index=reportIndex
                    =item.title
            .report-step__content
                if item.groups
                    .report-step__body
                        for group, index in item.groups
                            - groupN = index + 1
                            .report-group
                                if group.title
                                    .report-group__header
                                        h3.report-group__title=group.title
                                if group.fields
                                    .report-group__body
                                        for field, index in group.fields
                                            - fieldN = index + 1
                                            - radioName = 'radio' + groupN + fieldN
                                            - rangeName = 'range' + groupN + fieldN
                                            if field.type == "diagnosis"
                                                - fieldMod = 'diagnosis_diagnosis'
                                            else
                                                - fieldMod = 'diagnosis_info'
                                            .diagnosis(data-id=itemN class=fieldMod)
                                                .diagnosis__header
                                                    if field.type == "diagnosis"
                                                        if field.result == "negative"
                                                            .diagnosis__icon.icon.icon_m.icon_fail.icon_circle
                                                                svg
                                                                    use(xlink:href="#icon_close_24")
                                                        else
                                                            .diagnosis__icon.icon.icon_m.icon_success.icon_circle
                                                                svg
                                                                    use(xlink:href="#icon_check_24")
                                                    h5.diagnosis__title
                                                        =field.title
                                                        if field.controls
                                                            for control, index in field.controls
                                                                if control.type == "range"
                                                                    |
                                                                    | —
                                                                    |
                                                                    =control.value

                                                if field.controls
                                                    .diagnosis__body
                                                        for control, index in field.controls
                                                            if control.negative == true
                                                                - controlMod = 'diagnosis__item_negative'
                                                            else
                                                                - controlMod = 'diagnosis__item_positive'
                                                            if control.type == "check"
                                                                if control.options
                                                                    .diagnosis__item(class=controlMod)
                                                                        .list.list_xs
                                                                            for option, index in control.options
                                                                                .list__item=option.title
                                                            if control.type == "radio"
                                                                if control.options
                                                                    .diagnosis__item(class=controlMod)
                                                                        .list.list_xs
                                                                            for option, index in control.options
                                                                                .list__item=option.title
                                                            if control.type == "input"
                                                                .diagnosis__item.field(class=controlMod)
                                                                    .field__control.control.control_default.control_m
                                                                        input(type="text")
                                                            if control.type == "select"
                                                                if control.options
                                                                    .diagnosis__item.field(class=controlMod)
                                                                        .field__control.control.control_default.control_m.control_select
                                                                            select
                                                                                for option, index in control.options
                                                                                    option=option.title
                                                            if control.type == "gallery"
                                                                .diagnosis__item
                                                                    .gallery.gallery_default
                                                                        for value, index in control.value
                                                                            .gallery__item
                                                                                img(src=value.value)
                                                            if control.type == "range"
                                                                .diagnosis__item
                                                                    .diagnosis-range
                                                                        .diagnosis-range__bar
                                                                            .diagnosis-range__mask(style="transform:translateX(" + control.value + ")")

                                                if field.comment
                                                    .diagnosis__footer
                                                        .diagnosis__comment=field.comment
                    if item.gallery || item.comment
                        .report-step__footer
                            if item.gallery
                                .report-step__gallery
                                    .gallery.gallery_default
                                        .gallery__item
                                            img(src="http://demo.os-cars.ru/static/lk/reports/tech/IMG_1821.JPG")
                                        .gallery__item
                                            img(src="http://demo.os-cars.ru/static/lk/reports/tech/IMG_1856.JPG")
                                        .gallery__item
                                            img(src="http://demo.os-cars.ru/static/lk/reports/tech/IMG_1858.JPG")
                            if item.comment
                                .report-step__comment Общий комментарий к данному шагу отчёта



    script.
        $(document).ready(function () {
            $('.report-step__header').on('click', function () {
                $(this).parent().find('.report-step__content').slideToggle(250);
            })
        });
